Skip to content

Create Order API

| View as Markdown

After initializing an order, an affiliate should call this API to track the insurance order. We must pass order id, affiliate id, provider id and category in request. If the request has valid details, we will get a reference id and a url to track it.

https://kraken.airpay.co.in/airpay/ms/insurance/api/create-order
FieldTypeDescription
content-typestringValue : application/x-www-form-urlencoded (required)
processor-keystringAuthentication key for airpay. Eg 91f5evhk72f56432ec678sdfes685h42sd2t21k430912508233b7r37562g2hps (length 20, required)
checksumstringSha256 of value of hash(‘sha256’,‘(orderid)(affiliateid)(providerid), processor-key) here key is AIRPAYKEY as provided (required)
FieldTypeRequiredDescription
order_idAlphanumericYesUnique order ID. Example: 12345678901234567890 (fixed length 20)
affiliate_idNumericYesSource affiliate ID of the order ID. Example: 649648 (length 10)
provider_idNumericYesInsurance company provider ID. Example: 1234 (length 10)
catTextNoInsurance category. Redirects to the insurer landing page of that category
curl --location 'https://kraken.airpay.co.in/airpay/ms/insurance/api/create-order' \
--header 'content_type: application/x-www-form-urlencoded' \
--header 'processor-key: xvAvkuxKczNf8sapHZv5ia9qzPEB9iPRvtLr4iJn4SzmMjfuWgVvSsXvyw==' \
--header 'checksum: d1e2629f8b5818all186a4b7d8e5d9a03b6aef297842ec571ad0cc2278bcfcf93' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--header 'Cookie: _csrf=103936bf3ssa2098165c59d08c9288e68459dcac60bba4d83cdb7c0a17163ea6a%3A2%3A%7Bi%3A0%3Bs%3A5%3A%22_csrf%22%3Bi%3A1%3Bs%3A32%3A%22XORQcv-kviZ_teErDmi5drwuAhdUQpZE%22%3B%7D' \
--data-urlencode 'order_id=MAWEB107051612117107' \
--data-urlencode 'affiliate_id=AF0028SF1644819013' \
--data-urlencode 'cat=PA' \
--data-urlencode 'provider_id=7'
FieldTypeDescription
statusNumericApi status [1- success,0-fail](length 1)
dataJsonarrayIf fail data will be null,
If 200 then data will be with id in insurance system and url
messagestringMessage (length 50)
{
"status": "1",
"data": {
"referenceid": 45794,
"url": "https://arpy.example.com/partner_sso?enc=gaMupoEmSBDj005WH0KcunUK+P1Do1P5N+V6BBOdl030Wuo3w6xXIct0lyskZpyfuIEuEPTnklKpSzWEvkdQOcE0AEdJzoyPbYXI4n9WZtyCSeI74XF0QQ+V6aCYfqJhdocV655bsWHoharjqswuioirqHtXUNb/NC5kkS06aBOxrIfIz1Rl848DkRiSptI+FLo3o93ExerdsL0tOtTx8FlWeo8p8sKIDp5vocXQsFHX+tFaFCyBOSVUZpNrWiSKuGn/bLxDAky+rOEVVGvmUXecGS7iO7CJIUutuHT+NMKZklZWkXCDtxm9M84IZkxU&package_code=AIRPAY_PA&redirect_url=product_landing"
},
"message": "success"
}
{
"status": "0",
"data": [],
"message": "Duplicate Order"
}